Subject: bug#38084: bug#38085: [PATCH] Two functions named ‘package-menu--refresh’

From: Stefan Kangas <[email-masked]>
Date: Wed, 06 Nov 2019 15:13:31 +0100

Dario Gjorgjevski <[email-masked]> writes:

> Tino Calancha <[email-masked]> writes:
>
>> I mean, this is bug 38084
>
> Thanks; I did not realize that there is already a bug.  Here is an
> amended patch which references bug#38084 in the commit message.

Thanks, I installed a slightly different patch (attached) which I
believe fixes this.

Best regards,
Stefan Kangas

>From d30f5e7eeecd5425e236542189a1d683c00e7ed7 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Nov 2019 14:48:23 +0100
Subject: [PATCH] Fix problem with my last commit in package.el

* lisp/emacs-lisp/package.el (package-menu--refresh-archives): Rename
from duplicated name package-menu--refresh.  (Bug#38084)
(package-menu-mode, list-packages): Use new name.
---
 lisp/emacs-lisp/package.el | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/lisp/emacs-lisp/package.el b/lisp/emacs-lisp/package.el
index b7a528dac4..9f8ee8368e 100644
--- a/lisp/emacs-lisp/package.el
+++ b/lisp/emacs-lisp/package.el
@@ -2767,7 +2767,7 @@ package-menu-mode
   (setq tabulated-list-sort-key (cons "Status" nil))
   (add-hook 'tabulated-list-revert-hook #'package-menu--refresh nil t)
   (tabulated-list-init-header)
-  (setq revert-buffer-function 'package-menu--refresh)
+  (setq revert-buffer-function 'package-menu--refresh-contents)
   (setf imenu-prev-index-position-function
         #'package--imenu-prev-index-position-function)
   (setf imenu-extract-index-name-function
@@ -3166,7 +3166,7 @@ package-menu--print-info-simple
 (defvar package-menu--old-archive-contents nil
   "`package-archive-contents' before the latest refresh.")
 
-(defun package-menu--refresh (&optional _arg _noconfirm)
+(defun package-menu--refresh-contents (&optional _arg _noconfirm)
   "In Package Menu, download the Emacs Lisp package archive.
 Fetch the contents of each archive specified in
 `package-archives', and then refresh the package menu.  Signal a
@@ -3646,7 +3646,7 @@ list-packages
       (package-menu-mode)
 
       ;; Fetch the remote list of packages.
-      (unless no-fetch (package-menu--refresh))
+      (unless no-fetch (package-menu--refresh-contents))
 
       ;; If we're not async, this would be redundant.
       (when package-menu-async
-- 
2.20.1